Apps
Get App Thumbnail
Retrieve an App’s thumbnail image
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
/
thumbnail
Get App Thumbnail
curl --request GET \
--url https://mycluster.domino.tech/api/apps/beta/apps/{appId}/thumbnail \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/apps/beta/apps/{appId}/thumbnail"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/apps/beta/apps/{appId}/thumbnail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Headers
Optional ETag to conditionally fetch the thumbnail
Path Parameters
The id of the app to retrieve the thumbnail for.
Response
Success
The response is of type file.
Last modified on August 18, 2026
Was this page helpful?
⌘I
Get App Thumbnail
